
Foreman - Bug #14979

commandList entries not executed during VM cloning

05/10/2016 06:33 AM - Finke Lamein

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.11.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

See: https://groups.google.com/forum/#!topic/foreman-users/ixUzNUJ7dkY

So the problem seems to be powershell commands never make it to the unattend.xml on windows.

History

#1 - 05/10/2016 06:43 AM - Dominic Cleal

- Subject changed from Foreman-VMware - Cannot get puppet to run through customisation to commandList entries not executed during VM cloning

I'll leave this open for now, but I'll note that Foreman doesn't parse this file and even fog-vsphere only passes the contents of commandList through to

vSphere. It appears unlikely that this is a bug in Foreman.

#2 - 06/14/2016 04:32 AM - Finke Lamein

Dominic Cleal wrote:

I'll leave this open for now, but I'll note that Foreman doesn't parse this file and even fog-vsphere only passes the contents of commandList

through to vSphere. It appears unlikely that this is a bug in Foreman.

 Follow up:

chased the bug through fog-vsphere: https://github.com/fog/fog-vsphere/issues/37#issuecomment-224605166

and through to rbvmomi: https://github.com/vmware/rbvmomi/issues/79

Let's hope the rbvmomi project is not dead as is suggested in https://github.com/vmware/rbvmomi/issues/78
